---
title: Retrieve a Single Taxonomy
description: Retrieve a single taxonomy by `name`.
url: https://www.storyblok.com/docs/api/content-delivery/v2/taxonomies/retrieve-a-single-taxonomy
---

# Retrieve a Single Taxonomy

Retrieve a single taxonomy by `name`.

GET

```html
https://api.storyblok.com/v2/cdn/taxonomies/:id
```

## Path parameters

-   `:id` (required) (string)
    
    The taxonomy’s name.
    

## Query parameters

-   `token` (required) (string)
    
    A preview or public [access token](https://www.storyblok.com/docs/concepts/access-tokens) configured in a space.
    

## Response properties

-   `taxonomy` (TaxonomyTerm)
    
    An object that contains a taxonomy.
    
    Show child properties
    
    -   `id` (string)
        
        The taxonomy’s ID.
        
    -   `display_name` (string)
        
        The taxonomy’s name.
        
    -   `name` (string)
        
        The taxonomy’s technical name.
        
    -   `description` (string | null)
        
        The taxonomy’s description.
        
    -   `parent_id` (string | null)
        
        The top-level term’s ID.
        
    -   `last_author` (object | null)
        
        An object that contains the details of user who created the term.
        
        Show child properties
        
        -   `id` (integer)
            
            The user’s numeric ID.
            
        -   `userid` (string)
            
            The user’s username or email address.
            
        -   `friendly_name` (string)
            
            The user’s display name.
            
        -   `avatar` (string | null)
            
            The URL of the user’s avatar image.
            
        
    -   `last_author_id` (string | null)
        
        The user’s ID.
        
    -   `created_at` (string)
        
        Creation timestamp. Supports ISO 8601.
        
    -   `updated_at` (string)
        
        Latest update timestamp. Supports ISO 8601.
        
    -   `children` (array<TaxonomyTerm>)
        
        An array of sub-terms objects.
        
        Show child properties
        
        -   `id` (string)
            
            The taxonomy’s ID.
            
        -   `display_name` (string)
            
            The taxonomy’s name.
            
        -   `name` (string)
            
            The taxonomy’s technical name.
            
        -   `description` (string | null)
            
            The taxonomy’s description.
            
        -   `parent_id` (string | null)
            
            The top-level term’s ID.
            
        -   `last_author` (object | null)
            
            An object that contains the details of user who created the term.
            
            Show child properties
            
            -   `id` (integer)
                
                The user’s numeric ID.
                
            -   `userid` (string)
                
                The user’s username or email address.
                
            -   `friendly_name` (string)
                
                The user’s display name.
                
            -   `avatar` (string | null)
                
                The URL of the user’s avatar image.
                
            
        -   `last_author_id` (string | null)
            
            The user’s ID.
            
        -   `created_at` (string)
            
            Creation timestamp. Supports ISO 8601.
            
        -   `updated_at` (string)
            
            Latest update timestamp. Supports ISO 8601.
            
        -   `children` (array<TaxonomyTerm>)
            
            An array of sub-terms objects.
            
        -   `terms_count` (integer)
            
            The number sub-terms (at any depth).
            
        -   `last_activity_at` (string)
            
            Latest update timestamp. Supports ISO 8601.
            
        -   `associated_content` (array<object>)
            
            An array of story objects associated with the taxonomy.
            
            Show child properties
            
            -   `id` (string)
                
                The associated story’s ID.
                
            -   `type` (string)
                
                The associated block type’s name.
                
            -   `name` (string)
                
            -   `full_slug` (string)
                
                The story’s full slug, including parent folder and language paths.
                
            -   `updated_at` (string)
                
                Latest update timestamp. Supports ISO 8601.
                
            
        
    -   `terms_count` (integer)
        
        The number sub-terms (at any depth).
        
    -   `last_activity_at` (string)
        
        Latest update timestamp. Supports ISO 8601.
        
    -   `associated_content` (array<object>)
        
        An array of story objects associated with the taxonomy.
        
        Show child properties
        
        -   `id` (string)
            
            The associated story’s ID.
            
        -   `type` (string)
            
            The associated block type’s name.
            
        -   `name` (string)
            
        -   `full_slug` (string)
            
            The story’s full slug, including parent folder and language paths.
            
        -   `updated_at` (string)
            
            Latest update timestamp. Supports ISO 8601.
            
        
    
-   `cv` (integer | null)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/taxonomies/:id\
    ?token=ask9soUkv02QqbZgmZdeDAtt"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/taxonomies/:id', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->get('taxonomies/:id')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/taxonomies/:id?token=ask9soUkv02QqbZgmZdeDAtt")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/taxonomies/:id?token=ask9soUkv02QqbZgmZdeDAtt");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/taxonomies/:id"
    
    querystring = {"token":"ask9soUkv02QqbZgmZdeDAtt"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.get('taxonomies/:id')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "ask9soUkv02QqbZgmZdeDAtt"))
    let request = URLRequest(storyblok: storyblok, path: "taxonomies/:id")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "ask9soUkv02QqbZgmZdeDAtt"
        }
    }
    
    val response = client.get("taxonomies/:id")
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Retrieve Multiple Taxonomies](/docs/api/content-delivery/v2/taxonomies/retrieve-multiple-taxonomies)
-   [Next: Retrieve a Single Taxonomy Term](/docs/api/content-delivery/v2/taxonomies/retrieve-a-single-taxonomy-term)
